const app = getApp()
Page({
    onShareAppMessage(res) {},
    data: {
        // tabBar param
        tabBarParam: {
            selected: 0,
            color: "#515151",
            selectedColor: "#217CFF",
            backgroundColor: "#ffffff",
        },
        // tabBar menu
        tabBarList: [{
                "pagePath": "pages/index/index",
                "iconPath": "/images/tabbar/home.png",
                "selectedIconPath": "/images/tabbar/home-select.png",
                "text": "首页"
            },
            {
                "pagePath": "pages/meeting/accessControl/accessControl",
                "iconPath": "/images/tabbar/openDoor.png",
                "selectedIconPath": "/images/tabbar/openDoor.png",
                "text": "开门",
                "bulge": true,
            },
            {
                "pagePath": "pages/my/my",
                "iconPath": "/images/tabbar/my.png",
                "selectedIconPath": "/images/tabbar/my-select.png",
                "text": "我的"
            },
        ],
        IMG_NAME: app.IMG_NAME,
        menuList: [
            // {
            //     name: "创业活动",
            //     img: "/images/hicon/chuangyehuodong.png",
            //     path: "/pages/community/community"
            // },
            // {
            //     name: "政策信息",
            //     img: "/images/hicon/zhengcexinxi.png",
            //     path: "/pages/notice/notice"
            // },
            // {
            //     name: "党建园地",
            //     img: "/images/hicon/zhaozhengce.png",
            //     path: "/pages/party/party"
            // },
            // {
            //     name: "租办公室",
            //     img: "/images/hicon/zubangongshi.png",
            //     path: "/pages/office/office"
            // },
            // {
            //     name: "项目入孵",
            //     img: "/images/hicon/xiangmurufu.png",
            //     path: "/pages/applyType/applyType"
            // },
            // {
            //     name: "企业入驻",
            //     img: "/images/hicon/qiyeruzhu.png",
            //     path: "/pages/applyType/applyType"
            // },
            // {
            //     name: "厂房申请",
            //     img: "/images/hicon/qianrushenqing.png",
            //     path: "/pages/applyType/applyType"
            // },
            // {
            //     name: "园区建议",
            //     img: "/images/hicon/yuanqujianyi.png",
            //     path: "/pages/complaint/complaint"
            // },
            // {
            //     name: "商业计划书",
            //     img: "/images/hicon/wenjuandiaocha.png",
            //     path: "/pages/outer/outer"
            // },
            /*
            {
              name: "园区报修",
              img: "/images/hicon/zhaozhuanli.png",
              path: "/pages/parkRepair/parkRepair"
            },      
            */
            {
                name: "会议预约",
                img: "/profile/static/index/menu-hyyy.png",
                path: "/pages/meeting/meetingReservation/meetingReservation"
            },
            {
                name: "展厅预约",
                img: "/profile/static/index/menu-ztyy.png",
                path: ""
            },
            {
                name: "访客预约",
                img: "/profile/static/index/menu-fkyy.png",
                path: "/pages/meeting/visitorIinvitation/list/list"
            },
            {
                name: "预约记录",
                img: "/profile/static/index/menu-yyjl.png",
                path: "/pages/meeting/reservationRecord/reservationRecord"
            },

            {
                name: "远程门禁",
                img: "/profile/static/index/menu-ycmj.png",
                path: "/pages/meeting/accessControl/accessControl"
            },
            {
                name: "报修服务",
                img: "/profile/static/index/menu-bxfw.png",
                path: "/pages/parkRepair/parkRepair"
            },
            {
                name: "投诉建议",
                img: "/profile/static/index/menu-tsjy.png",
                path: "/pages/complaint/complaint"
            },
            {
                name: "社区活动",
                img: "/profile/static/index/menu-sqhd.png",
                path: "/pages/community/community"
            },
            {
                name: "政策中心",
                img: "/profile/static/index/menu-zczx.png",
                path: "/pages/notice/notice"
            },
            {
                name: "入住申请",
                img: "/profile/static/index/menu-rzsq.png",
                path: "/pages/applyType/applyType"
            },

        ],
        bannerList: [{
            bg: '/profile/static/index/banner/1.jpg',
            url: ''
        }, {
            bg: '/profile/static/index/banner/2.jpg',
            url: ''
        }, {
            bg: '/profile/static/index/banner/3.jpg',
            url: ''
        }]
    },

    // 切换tabbar
    switchTab(e) {
        const data = e.currentTarget.dataset
        console.log('switchTab', data)
        const url = data.path
        if (url == 'pages/meeting/accessControl/accessControl') {
            wx.navigateTo({
                url: '/' + url
            })
        } else {
            wx.switchTab({
                url: '/' + url
            })
        }
    },

    onShow() {

    },

    navapply(e) {
        if (wx.getStorageSync('token')) {
            if (e.currentTarget.dataset.path) {
                wx.navigateTo({
                    url: e.currentTarget.dataset.path + '?name=' + e.currentTarget.dataset.name,
                })
            } else {
                wx.showModal({
                    content: '模块暂未开放，敬请期待',
                    showCancel: false,
                })
            }
        } else {
            app.getlogin()
        }
    },

})